> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: 58f18010-3e12-47f5-82a9-b9aca0f013ff
---

# Check for the existence of analytics data for an object type

> Check to see if there is analytics data for a specified object type.

export const ScopesList = ({scopes = [], description = "This API requires one of the following scopes:"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['business-intelligence']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/reporting-v2.json GET /analytics/v2/reports/{objectType}/exists
openapi: 3.0.0
info:
  title: Reporting API v2
  version: 2.0.0
  description: >-
    Use the reporting API to export analytics and reporting data from HubSpot.
    Primarily used for connecting HubSpot metrics to metrics stored in other
    business intelligence tools.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /analytics/v2/reports/{objectType}/exists:
    get:
      summary: Check for the existence of analytics data for an object type
      description: Check to see if there is analytics data for a specified object type.
      operationId: checkAnalyticsDataExists
      parameters:
        - name: objectType
          in: path
          required: true
          description: The object type that you want to check for analytics data.
          schema:
            type: string
      responses:
        '200':
          description: Check completed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExistsResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ExistsResponse:
      type: object
      properties:
        exists:
          type: boolean
          description: Whether analytics data exists for the specified object type
      required:
        - exists
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message

````